## ros-noetic-euscollada 0.4.4

=== debian/changelog ===
ros-noetic-euscollada (0.4.4-2focal) focal; urgency=high

  * support use_simple_geometry, with bounding box (#244 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/244>)
  * keep sensor_id correctly from collada (#236 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/236>)
  * Noetic support (#238 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/238>)
    
      * fix for python3: use a in b, instead of b.has_key(a)
      * fix for python3 with 2to3 -w -f print
        add from __future__ import print_function
      * noetic does not have xacro.py, use xacro, skip teset if openhrp3 is not found
      * fix for python3 with 2to3 -w -f print
      * manually set collada_urdf_LIBRARIES due to https://github.com/ros/collada_urdf/issues/43
    
  * add mimic joint support for collada2eus (#225 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/225>)
    
      * not sure why but we need double check 'strm' since  https://travis-ci.org/jsk-ros-pkg/jsk_model_tools/builds/632871892
      * suport calc-jacobian for mimnic joints, with tests
      * support mimic joints
      * introduce mimic-joint-parmas, rotational-mimic-joint, linear-mimic-joint class
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 11 May 2022 15:00:00 -0000

ros-noetic-euscollada (0.4.3-2focal) focal; urgency=high

  * fix for urdfmodel 1.0.0 (melodic) (#221 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/221>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 04 Dec 2018 15:00:00 -0000

ros-noetic-euscollada (0.4.2-2focal) focal; urgency=high

  * collada2eus_urdfmodel: append :provide on bottom; force flush (#219 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/219>)
  * Contributors: Yuki Furuta

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 03 Sep 2018 15:00:00 -0000

ros-noetic-euscollada (0.4.1-2focal) focal; urgency=high

  * [euscollada] fix collision model for version 0.4.0f( #218 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/218>)
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 31 Jul 2018 15:00:00 -0000

ros-noetic-euscollada (0.4.0-2focal) focal; urgency=high

  * Replace euscollada for using ROS collada/urdf parser. It can convert both collada and urdf to eusmodel (#216 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/216>)
    * [euscollada] previous collada2eus can be used by collada2eus.orig
    * [euscollada, collada2eus_urdfmodel] switch default model format (:collada->:urdf)
    * [euscollada] use collada2eus_urdfmodel as collada2eus
    * [euscollada,collada2eus_urdfmodel] fix parsing arguments
    * [euscollada,collada2eus_urdfmodel] fix reset-pose
    * [euscollada,collada2eus,collada2eus_urdfmodel] fix centroid
    * [euscollada, euscollada-robot.l] fix inertia conversion when weight is zero
    * [euscollada] fix message when robot.yaml has shorter length of angle-vector
    * [euscollada] do not make small cube for link without geometry
    * [euscollada] fix using _fixed_jt as slot name for fixed joint
    * [euscollada] add add_normal argument
  * [euscollada] fix travis testtest (#215 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/215>)
    * fix timeout for reading stream
    * set origin of robot before comparing centroid
  * Update collada2eus_urdfmodel (#212 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/212>)
    * [euscollada/collada2eus_urdfmodel] update for using non mesh geometry(BOX, CYLINDER, SPHERE)
    * [euscollada/collada2eus_urdfmodel] fix, the same as #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174>
    * [euscollada/collada2eus_urdfmodel] fix warning message for reading urdf file
    * [euscollada/collada2eus_urdfmodel] fix min-max range for a continuous joint
    * [euscollada/collada2eus_urdfmodel] fix for writing non mesh geometry
  * fix to run installed euscollada (#213 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/213>)
    * enable to run within write-protected directory
    * euscollada: install sh fails as PROGRAMS
  * src/collada2eus.cpp: fix wrong python style string #174 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/174> (#204 <https://github.com/jsk-ros-pkg/jsk_model_tools/issues/204>)
  * Contributors: Kei Okada, Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Jul 2018 15:00:00 -0000

ros-noetic-euscollada (0.3.5-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 15:00:00 -0000

ros-noetic-euscollada (0.3.4-2focal) focal; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-noetic-euscollada (0.3.3-2focal) focal; urgency=high

  * urdfdom is for hydro, now we can drop (forget to remove run_depends)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-noetic-euscollada (0.3.2-2focal) focal; urgency=high

  * urdfdom is for hydro, now we can drop
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-noetic-euscollada (0.3.1-2focal) focal; urgency=high

  * for kinetic release (#197 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/197>)
    * collada2eus : convertnig const char* makes strange behavior (il->second becomes NONE)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 15:00:00 -0000

ros-noetic-euscollada (0.3.0-2focal) focal; urgency=high

  * Fix conversion of mass properties (#192 <https://github.com/jsk-ros-pkg/jsk_model_tools/pull/192>)
    * [euscollada] fix test (samplerobot centroid and pose)
    * [collada2eus] fix conversion of mass properties, when there are links which are not member of links
    * [euscollda] add tests
  * Contributors: Yohei Kakiuchi

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 15 Jan 2017 15:00:00 -0000

